org.apache.poi.hslf.record

## Class InteractiveInfo

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.InteractiveInfo

- All Implemented Interfaces:
    GenericRecord

      public class InteractiveInfo
      extends RecordContainer

  This class represents the metadata of a link in a slide/notes/etc. It normally just holds a InteractiveInfoAtom, with the metadata in it.
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `InteractiveInfo()` Create a new InteractiveInfo, with blank fields
    `protected` | `InteractiveInfo(byte[] source, int start, int len)` Set things up, and find our more interesting children

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InteractiveInfoAtom` | `getInteractiveInfoAtom()` Returns the InteractiveInfoAtom of this InteractiveInfo
    `long` | `getRecordType()` We are of type 4802
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, getGenericProperties, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InteractiveInfo

          protected InteractiveInfo(byte[] source,
                                    int start,
                                    int len)

      Set things up, and find our more interesting children

    - #### InteractiveInfo

          public InteractiveInfo()

      Create a new InteractiveInfo, with blank fields

  - ### Method Detail

    - #### getInteractiveInfoAtom

          public InteractiveInfoAtom getInteractiveInfoAtom()

      Returns the InteractiveInfoAtom of this InteractiveInfo

    - #### getRecordType

          public long getRecordType()

      We are of type 4802
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.